Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.datatypes
Class XSDSimpleType

    java.lang.Object
      org.mindswap.pellet.datatypes.BaseDatatype
          org.mindswap.pellet.datatypes.BaseUnionDatatype
              org.mindswap.pellet.datatypes.XSDSimpleType

All Implemented Interfaces:
  Datatype, UnionDatatype

    public class XSDSimpleType

extends BaseUnionDatatype

Author:
  Evren Sirin

Field Summary
`static XSDSimpleType` | `instance`

Method Summary
`Datatype` | `deriveByRestriction(java.lang.String facet, java.lang.String value)` Return a new XSD datatype derived from the current type by restricting a facet.

Methods inherited from class org.mindswap.pellet.datatypes.BaseUnionDatatype
`contains, contains, getMembers, getValue, getValue, singleton, size, toString`

Methods inherited from class org.mindswap.pellet.datatypes.BaseDatatype
`getName, getURI, isEmpty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mindswap.pellet.datatypes.Datatype
`getName, getURI, isEmpty`

Field Detail

### instance

    public static final XSDSimpleType instance

Method Detail

### deriveByRestriction

    public Datatype deriveByRestriction(java.lang.String facet,
                                        java.lang.String value)
                                 throws java.lang.UnsupportedOperationException

  Return a new XSD datatype derived from the current type by restricting a facet. If the datatype does not support the given facet (e.g. xsd:string does not support numeric facets like minInclusive whereas xsd:integer does not support text facets like minLength) an exception is thrown. Facets are case insensitive. See facets for a complete list of constraining factes available in XSD.

  Parameters:
    `facet` -
    `value` -
  Returns:
  Throws:
    `java.lang.UnsupportedOperationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.